from gpiozero import MCP3208
from time import sleep
from math import modf

mcp = MCP3208(channel=0)

Rr = 100000.0 # referenční odpor

def format_ohm(ohms):
    if (ohms < 1000.0):
        return str(round(ohms)) + "Ω"
    if (ohms < 1000000.0):
        ohms = round(ohms / 1000, 1)
        return str(ohms).replace(".", "K")
    else:
        ohms = round(ohms / 1000000, 1)
        return str(ohms).replace(".", "M")   
    
while True:
    y = mcp.value
    if y == 1:
        print("inf Ω");
    else:
        x = float(y) * Rr / (1.0 - float(y))
        print(format_ohm(x))
    sleep(0.25)
    
    